DRM_PROPERTY_CREATE_(9)

NAME
drm_property_create_range - create a new ranged property type

SYNOPSIS

struct drm_property * drm_property_create_range(struct drm_device * dev, int flags, const char * name, uint64_t min, uint64_t max);

ARGUMENTS

dev
    drm device

flags
    flags specifying the property type

name
    name of the property

min
    minimum value of the property

max
    maximum value of the property

DESCRIPTION

This creates a new generic drm property which can then be attached to a drm object with drm_object_attach_property. The returned property object must be freed with drm_property_destroy.

Userspace is allowed to set any integer value in the (min, max) range inclusive.

RETURNS

A pointer to the newly created property on success, NULL on failure.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT